/// <reference types="react" />
/**
 * A hook that determines if an element has
 * overflow or not.
 */
export declare const useHasOverflow: <T extends HTMLElement = HTMLDivElement>() => {
    hasOverflow: boolean;
    ref: import("react").RefObject<T>;
};
/**
 * A hook that determines if an element has
 * overflow or not. Will update on resize event.
 */
export declare const useHasOverflowWithResizeEvent: <T extends HTMLElement = HTMLDivElement>() => {
    hasOverflow: boolean;
    ref: import("react").RefObject<T>;
};
